Bug 984666 - dmesg --human is incompatible with --follow
dmesg --human is incompatible with --follow
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-15 12:22 EDT by Kamil Páral
Modified: 2015-01-15 10:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-15 10:17:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kamil Páral 2013-07-15 12:22:50 EDT
Description of problem:
I love the new human output. I use the following alias:
alias dmesg='dmesg --human'

However, I found out that it doesn't work correctly with --follow. dmesg --human --follow switches me in to some weird pager mode, where I can't hit End to see the end of stream, and where I can use PgDn but can't scroll to the very end (and all the keys lock at that moment, and I need to press Ctrl+C). Also no new kernel messages appear in that pager view.

I can have nice human output and followed output, if I disable the pager:
$ dmesg --human --follow --nopager

I would expect that when both --human and --follow options are specified, the pager is automatically disabled. So that I can have nice formatting and follow feature at the same time, easily (and without disabling my aliases). If it is possible to keep the pager and follow, fine. But currently it seems to be utterly broken, or I don't know how to navigate that pager.

Version-Release number of selected component (if applicable):
util-linux-2.23.1-3.fc19.x86_64

How reproducible:
always

Steps to Reproduce:
1. dmesg --human --follow
2. try to scroll to bottom and watch for new messages
Comment 1 Kamil Páral 2013-07-15 14:44:45 EDT
One further improvement - if I run "journalctl --follow", it does not print the whole journal, but only the last 10 lines, and then it follows the log. It makes sense, because with --follow I don't usually want to read the whole log, but just wait for the new messages. Essentially it mimics "last -f" command. I believe the same behavior would be very convenient even for dmesg. I.e. instead of printing the whole log, just print the last 10 lines and follow the log.
Comment 2 Karel Zak 2013-07-29 07:57:42 EDT
The problem with pager and --follow has been fixed in upstream tree by commit 5042cdcf7718b192b8961d18cbb8106f54117a0f. Fedora package will updated asap. 

Thanks for your report!
Comment 3 Karel Zak 2013-07-29 08:06:57 EDT
Note that "just print the last 10 lines" is not so simple to implement. I'm going to think about it... we will see.
Comment 4 Fedora Update System 2013-07-31 09:29:53 EDT
util-linux-2.23.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/util-linux-2.23.2-1.fc19
Comment 5 Fedora Update System 2013-08-01 23:33:03 EDT
Package util-linux-2.23.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing util-linux-2.23.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13967/util-linux-2.23.2-1.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-09-10 05:52:14 EDT
util-linux-2.23.2-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/util-linux-2.23.2-4.fc19
Comment 7 Fedora End Of Life 2015-01-09 17:39:42 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.